Bug 224334 - file does not recognize OpenOffice "native" formats
file does not recognize OpenOffice "native" formats
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
:
Depends On: 223297
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-25 05:22 EST by Martin Bacovsky
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: file-4.19-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 10:23:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Bacovsky 2007-01-25 05:22:29 EST
+++ This bug was initially created as a clone of Bug #223297 +++

Description of problem:

'file' when presented with "OpenDocument Text" type .odt file,
or with "OpenOffice.org 1.0 Text Document" .sxw file, simply
resonds with "data".  It does not seem to have any problems
to recognize "Microsoft Office Document" or "Rich Text".

With pretty distinct headers it would appear that adding .odt
or .sxw enteries to 'magic' should not be an issue.  Actually
a correct identification of .ott and .stw files would be also
in order (although I am not sure how "accidental" are differences
between .sxw and .stw files which I am seeing while .ott are
"obvious").

I did not check how 'file' fares with file types produced by
other programs in OpenOffice suite.

Version-Release number of selected component (if applicable):
file-4.19-1.fc7

How reproducible:
always
Comment 1 Martin Bacovsky 2007-01-26 10:23:39 EST
This issue should be fixed in file-4.19-1.fc6

Note You need to log in before you can comment on or make changes to this bug.